{% extends 'main_app/base.html' %}

{% load static %}

{% block content %}
<div class="container">
    <div class="row my-5">
        <div class="col">
            <h1>{{ assignment.title }}</h1>

            <table style="width: 100%">
                <tr>
                    <td><b>Tests Passed:</b> {{ passed_tests|length }}</td>
                    <td><b>Tests Failed:</b> {{ failed_tests|length }}</td>
                </tr>
            </table>

            <h4>Failed Tests</h4>
            <table class="table">
                <thead>
                <tr>
                    <th scope="col">#</th>
                    <th scope="col">Type</th>
                    <th scope="col">Comment</th>
                    <th scope="col">Details</th>
                </tr>
                </thead>
                <tbody>
                {% for test in failed_tests %}
                {% if test.type == "public" or test.type == "semi_private" or isTeacher or isAssistant %}
                <tr>
                    <th scope="row">Test {{ test.num }}</th>
                    <td>{{ test.type }}</td>
                    <td>{{ test.comment }}</td>
                    <td>
                        {% if test.type == "public" or isTeacher or isAssistant %}
                        <a href="" data-toggle="modal"
                           data-target=".bd-modal-failed-{{ forloop.counter }}-lg">Input/Output</a>
                        {% else %}
                            {% if test.error %}
                                {{ test.error_detail }}
                            {% else %}
                                -----
                            {% endif %}
                        {% endif %}

                    </td>
                </tr>
                {% endif %}
                {% endfor %}
                </tbody>
            </table>

            <h4>Passed Tests</h4>
            <table class="table">
                <thead>
                <tr>
                    <th scope="col">#</th>
                    <th scope="col">Type</th>
                    <th scope="col">Comment</th>
                    <th scope="col">Details</th>
                </tr>
                </thead>
                <tbody>
                {% for test in passed_tests %}
                {% if test.type == "public" or test.type == "semi_private" or isTeacher or isAssistant %}
                <tr>
                    <th scope="row">Test {{ test.num }}</th>
                    <td>{{ test.type }}</td>
                    <td>{{ test.comment }}</td>
                    <td>
                        {% if test.type == "public" or isTeacher or isAssistant %}
                        <a href="" data-toggle="modal"
                           data-target=".bd-modal-passed-{{ forloop.counter }}-lg">Input/Output</a>
                        {% else %}
                        -----
                        {% endif %}

                    </td>
                </tr>
                {% endif %}
                {% endfor %}
                </tbody>
            </table>

            {% for test in failed_tests %}
            {% if test.type == "public" or isTeacher or isAssistant %}
            <div class="modal fade bd-modal-failed-{{ forloop.counter }}-lg" tabindex="-1" role="dialog"
                 aria-labelledby="myLargeModalLabel"
                 aria-hidden="true">
                <div class="modal-dialog modal-lg">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title">Test {{ test.num }}</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
<pre><code>{% if test.error %}Error: {{ test.error_detail }}
{% endif %}Input:
{{test.input}}

Expected Output:
{{test.expected_output}}

Actual Output:
{{test.actual_output}}
</code></pre>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        </div>
                    </div>
                </div>
            </div>
            {% endif %}
            {% endfor %}

            {% for test in passed_tests %}
            {% if test.type == "public" or isTeacher or isAssistant %}
            <div class="modal fade bd-modal-passed-{{ forloop.counter }}-lg" tabindex="-1" role="dialog"
                 aria-labelledby="myLargeModalLabel"
                 aria-hidden="true">
                <div class="modal-dialog modal-lg">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title">Test {{ test.num }}</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
<pre><code>Input:
{{test.input}}

Expected Output:
{{test.expected_output}}

Actual Output:
{{test.actual_output}}
</code></pre>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        </div>
                    </div>
                </div>
            </div>
            {% endif %}
            {% endfor %}

            <a href="{{ assignment.get_absolute_url }}" class="btn btn-primary"> Go Back </a>
        </div>
    </div>
</div>
{% endblock content %}